sax_via_window {jmotif} | R Documentation

## Discretizes a time series with SAX via sliding window.

### Description

Discretizes a time series with SAX via sliding window.

### Usage

    sax_via_window(ts, w_size, paa_size, a_size, nr_strategy, n_threshold)

### Arguments

`ts` | the input timeseries.
`w_size` | the sliding window size.
`paa_size` | the PAA size.
`a_size` | the alphabet size.
`nr_strategy` | the Numerosity Reduction strategy, acceptable values are "exact" and "mindist" – any other value triggers no numerosity reduction.
`n_threshold` | the normalization threshold.

### References

Lonardi, S., Lin, J., Keogh, E., Patel, P., Finding motifs in time series. In Proc. of the 2nd Workshop on Temporal Data Mining (pp. 53-68). (2002)

[Package jmotif version 1.0.3 Index]